release:
	@mkdir -p build bin
	@cd build && cmake -DCMAKE_BUILD_TYPE=Release .. && make

debug:
	@mkdir -p build debug
	@cd build && cmake -DCMAKE_BUILD_TYPE=Debug .. && make

clean:
	@rm -rf bin
	@rm -rf build
	@rm -rf debug
	@rm -rf cmake-build-debug
	@rm -rf auto
	@rm -rf doc/*/
	@rm -rf _minted*
	@rm -rf output.*
	@rm -rf *.tex *.out
